Bug 313948 - skrooge crashed after double clicking on an account after using clean import tool.
Summary: skrooge crashed after double clicking on an account after using clean import ...
Status: RESOLVED FIXED
Alias: None
Product: skrooge
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Ubuntu Packages Linux
: NOR crash (vote)
Target Milestone: ---
Assignee: Stephane MANKOWSKI
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2013-01-27 03:33 UTC by MoLE
Modified: 2013-02-04 11:50 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
New crash information added by DrKonqi (11.04 KB, text/plain)
2013-02-04 02:22 UTC, MoLE
Details

Note You need to log in before you can comment on or make changes to this bug.
Description MoLE 2013-01-27 03:33:48 UTC
Application: skrooge (1.5.1)
KDE Platform Version: 4.8.5 (4.8.5)
Qt Version: 4.8.1
Operating System: Linux 3.2.0-37-generic x86_64
Distribution: Ubuntu 12.04.2 LTS

-- Information about the crash:
- What I was doing when the application crashed:

Had just imported qif files and changed the imported operations to the correct account, and then used the clean bank import tool.  Double clicked on an account and then crashed.

-- Backtrace:
Application: Skrooge (skrooge), signal: Segmentation fault
Using host libthread_db library "/lib/x86_64-linux-gnu/libthread_db.so.1".
[Current thread is 1 (Thread 0x7f7de1f227c0 (LWP 652))]

Thread 7 (Thread 0x7f7dc3a95700 (LWP 653)):
#0  0x00007f7ddf5ba303 in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f7dd9435036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7dd943549a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7dc3a9a98b in ?? () from /usr/lib/x86_64-linux-gnu/gio/modules/libdconfsettings.so
#4  0x00007f7dd94569e5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#5  0x00007f7dd186e2e4 in ?? () from /usr/lib/nvidia-experimental-310/libGL.so.1
#6  0x00007f7dd9901e9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#7  0x00007f7ddf5c5cbd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#8  0x0000000000000000 in ?? ()

Thread 6 (Thread 0x7f7dc2e89700 (LWP 654)):
#0  0x00007f7dd990889c in __lll_lock_wait () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f7dd9904080 in _L_lock_903 () from /lib/x86_64-linux-gnu/libpthread.so.0
#2  0x00007f7dd9903f19 in pthread_mutex_lock () from /lib/x86_64-linux-gnu/libpthread.so.0
#3  0x00007f7dd1868680 in ?? () from /usr/lib/nvidia-experimental-310/libGL.so.1
#4  0x00007f7dd186cdf0 in ?? () from /usr/lib/nvidia-experimental-310/libGL.so.1
#5  0x00007f7dd186d31a in ?? () from /usr/lib/nvidia-experimental-310/libGL.so.1
#6  0x00007f7dd0cd9bf7 in ?? () from /usr/lib/nvidia-experimental-310/tls/libnvidia-tls.so.310.14
#7  0x00007f7dd946f8cf in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#8  0x00007f7dd9434ba4 in g_main_context_check () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#9  0x00007f7dd9434fd6 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#10 0x00007f7dd943549a in g_main_loop_run () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#11 0x00007f7dca383406 in ?? () from /usr/lib/x86_64-linux-gnu/libgio-2.0.so.0
#12 0x00007f7dd94569e5 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#13 0x00007f7dd186e2e4 in ?? () from /usr/lib/nvidia-experimental-310/libGL.so.1
#14 0x00007f7dd9901e9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#15 0x00007f7ddf5c5cbd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#16 0x0000000000000000 in ?? ()

Thread 5 (Thread 0x7f7dadd77700 (LWP 656)):
#0  0x00007f7dd9905d84 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f7ddb118dec in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#2  0x00007f7ddb118f19 in ?? () from /usr/lib/x86_64-linux-gnu/libQtWebKit.so.4
#3  0x00007f7dd186e2e4 in ?? () from /usr/lib/nvidia-experimental-310/libGL.so.1
#4  0x00007f7dd9901e9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f7ddf5c5cbd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 4 (Thread 0x7f7dad476700 (LWP 657)):
#0  0x00007f7ddf5ba303 in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f7dd9435036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7dd9435164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7ddfa3b426 in QEventDispatcherGlib::processEvents (this=0x7f7da80008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f7ddfa0ac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f7ddfa0aed7 in QEventLoop::exec (this=0x7f7dad475d00, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f7ddf909fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f7ddf90cfcb in QThreadPrivate::start (arg=0x1436250) at thread/qthread_unix.cpp:298
#8  0x00007f7dd186e2e4 in ?? () from /usr/lib/nvidia-experimental-310/libGL.so.1
#9  0x00007f7dd9901e9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#10 0x00007f7ddf5c5cbd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#11 0x0000000000000000 in ?? ()

Thread 3 (Thread 0x7f7dc1c18700 (LWP 793)):
#0  0x00007f7dd9905d84 in pthread_cond_wait@@GLIBC_2.3.2 () from /lib/x86_64-linux-gnu/libpthread.so.0
#1  0x00007f7ddcbdd222 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#2  0x00007f7ddcbdd259 in ?? () from /usr/lib/x86_64-linux-gnu/libQtScript.so.4
#3  0x00007f7dd186e2e4 in ?? () from /usr/lib/nvidia-experimental-310/libGL.so.1
#4  0x00007f7dd9901e9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#5  0x00007f7ddf5c5cbd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#6  0x0000000000000000 in ?? ()

Thread 2 (Thread 0x7f7d56a24700 (LWP 10931)):
#0  0x00007f7ddf5ba303 in poll () from /lib/x86_64-linux-gnu/libc.so.6
#1  0x00007f7dd9435036 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#2  0x00007f7dd9435164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#3  0x00007f7ddfa3b426 in QEventDispatcherGlib::processEvents (this=0x7f7db80008f0, flags=...) at kernel/qeventdispatcher_glib.cpp:426
#4  0x00007f7ddfa0ac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#5  0x00007f7ddfa0aed7 in QEventLoop::exec (this=0x7f7d56a23cd0, flags=...) at kernel/qeventloop.cpp:204
#6  0x00007f7ddf909fa7 in QThread::exec (this=<optimized out>) at thread/qthread.cpp:501
#7  0x00007f7ddf9ea9ff in QInotifyFileSystemWatcherEngine::run (this=0x2277230) at io/qfilesystemwatcher_inotify.cpp:248
#8  0x00007f7ddf90cfcb in QThreadPrivate::start (arg=0x2277230) at thread/qthread_unix.cpp:298
#9  0x00007f7dd186e2e4 in ?? () from /usr/lib/nvidia-experimental-310/libGL.so.1
#10 0x00007f7dd9901e9a in start_thread () from /lib/x86_64-linux-gnu/libpthread.so.0
#11 0x00007f7ddf5c5cbd in clone () from /lib/x86_64-linux-gnu/libc.so.6
#12 0x0000000000000000 in ?? ()

Thread 1 (Thread 0x7f7de1f227c0 (LWP 652)):
[KCrash Handler]
#6  0x00007f7ddfa12767 in QMetaObject::cast (this=0x7f7de0ed84e0, obj=0x2dd0c20) at kernel/qmetaobject.cpp:274
#7  0x00007f7de1224a3d in SKGTabWidget::onCurrentChanged() () from /usr/lib/libskgbasegui.so.1
#8  0x00007f7ddfa20281 in QMetaObject::activate (sender=0x108c720, m=<optimized out>, local_signal_index=<optimized out>, argv=0x0) at kernel/qobject.cpp:3547
#9  0x00007f7de120cce7 in SKGMainPanel::openPage(SKGInterfacePlugin*, int, QString const&, QString const&, QString const&, bool) () from /usr/lib/libskgbasegui.so.1
#10 0x00007f7dae8148fc in ?? () from /usr/lib/kde4/skrooge_operation.so
#11 0x00007f7ddfa20281 in QMetaObject::activate (sender=0x140ae60, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff3f5dad70) at kernel/qobject.cpp:3547
#12 0x00007f7de03ff132 in QAction::triggered (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qaction.cpp:277
#13 0x00007f7de03ff31f in QAction::activate (this=0x140ae60, event=<optimized out>) at kernel/qaction.cpp:1257
#14 0x00007f7ddfa20281 in QMetaObject::activate (sender=0x35a4c30, m=<optimized out>, local_signal_index=<optimized out>, argv=0x7fff3f5daee0) at kernel/qobject.cpp:3547
#15 0x00007f7de092bad5 in QAbstractItemView::doubleClicked (this=<optimized out>, _t1=...) at .moc/release-shared/moc_qabstractitemview.cpp:355
#16 0x00007f7de0977ea5 in QTreeView::mouseDoubleClickEvent (this=0x35a4c30, event=0x7fff3f5dbbe0) at itemviews/qtreeview.cpp:1898
#17 0x00007f7de045615e in QWidget::event (this=0x35a4c30, event=0x7fff3f5dbbe0) at kernel/qwidget.cpp:8366
#18 0x00007f7de08163b6 in QFrame::event (this=0x35a4c30, e=0x7fff3f5dbbe0) at widgets/qframe.cpp:557
#19 0x00007f7de092a89b in QAbstractItemView::viewportEvent (this=0x35a4c30, event=0x7fff3f5dbbe0) at itemviews/qabstractitemview.cpp:1644
#20 0x00007f7de09724b5 in QTreeView::viewportEvent (this=0x35a4c30, event=0x7fff3f5dbbe0) at itemviews/qtreeview.cpp:1257
#21 0x00007f7ddfa0c028 in QCoreApplicationPrivate::sendThroughObjectEventFilters (this=<optimized out>, receiver=0x32f2e20, event=0x7fff3f5dbbe0) at kernel/qcoreapplication.cpp:986
#22 0x00007f7de040585f in notify_helper (e=0x7fff3f5dbbe0, receiver=0x32f2e20, this=0xd39640) at kernel/qapplication.cpp:4555
#23 QApplicationPrivate::notify_helper (this=0xd39640, receiver=0x32f2e20, e=0x7fff3f5dbbe0) at kernel/qapplication.cpp:4531
#24 0x00007f7de040b0bf in QApplication::notify (this=<optimized out>, receiver=0x32f2e20, e=0x7fff3f5dbbe0) at kernel/qapplication.cpp:4102
#25 0x00007f7de191d3f6 in KApplication::notify(QObject*, QEvent*) () from /usr/lib/libkdeui.so.5
#26 0x00007f7ddfa0be9c in QCoreApplication::notifyInternal (this=0x7fff3f5dc9a0, receiver=0x32f2e20, event=0x7fff3f5dbbe0) at kernel/qcoreapplication.cpp:876
#27 0x00007f7de0406862 in sendEvent (event=<optimized out>, receiver=<optimized out>) at ../../include/QtCore/../../src/corelib/kernel/qcoreapplication.h:231
#28 QApplicationPrivate::sendMouseEvent (receiver=0x32f2e20, event=0x7fff3f5dbbe0, alienWidget=0x32f2e20, nativeWidget=0x10542c0, buttonDown=0x32f2e20, lastMouseReceiver=..., spontaneous=true) at kernel/qapplication.cpp:3170
#29 0x00007f7de0485bf5 in QETWidget::translateMouseEvent (this=0x10542c0, event=<optimized out>) at kernel/qapplication_x11.cpp:4617
#30 0x00007f7de0484bae in QApplication::x11ProcessEvent (this=0x7fff3f5dc9a0, event=0x7fff3f5dc4b0) at kernel/qapplication_x11.cpp:3732
#31 0x00007f7de04ae0d2 in x11EventSourceDispatch (s=0xd37d90, callback=0, user_data=0x0) at kernel/qguieventdispatcher_glib.cpp:146
#32 0x00007f7dd9434d53 in g_main_context_dispatch () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#33 0x00007f7dd94350a0 in ?? () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#34 0x00007f7dd9435164 in g_main_context_iteration () from /lib/x86_64-linux-gnu/libglib-2.0.so.0
#35 0x00007f7ddfa3b3bf in QEventDispatcherGlib::processEvents (this=0xcb6390, flags=...) at kernel/qeventdispatcher_glib.cpp:424
#36 0x00007f7de04add5e in QGuiEventDispatcherGlib::processEvents (this=<optimized out>, flags=...) at kernel/qguieventdispatcher_glib.cpp:204
#37 0x00007f7ddfa0ac82 in QEventLoop::processEvents (this=<optimized out>, flags=...) at kernel/qeventloop.cpp:149
#38 0x00007f7ddfa0aed7 in QEventLoop::exec (this=0x7fff3f5dc850, flags=...) at kernel/qeventloop.cpp:204
#39 0x00007f7ddfa0ff67 in QCoreApplication::exec () at kernel/qcoreapplication.cpp:1148
#40 0x0000000000401ae5 in ?? ()
#41 0x00007f7ddf4f376d in __libc_start_main () from /lib/x86_64-linux-gnu/libc.so.6
#42 0x0000000000401c15 in _start ()

Reported using DrKonqi
Comment 1 MoLE 2013-02-04 02:22:29 UTC
Created attachment 76893 [details]
New crash information added by DrKonqi

skrooge (1.5.1) on KDE Platform 4.8.5 (4.8.5) using Qt 4.8.1

- What I was doing when the application crashed:

Double clicked on account in accounts screen after importing account qif data.  Occurred after the 3rd import in a row.

-- Backtrace (Reduced):
#7  0x00007fe2e4f0da3d in SKGTabWidget::onCurrentChanged() () from /usr/lib/libskgbasegui.so.1
[...]
#9  0x00007fe2e4ef5ce7 in SKGMainPanel::openPage(SKGInterfacePlugin*, int, QString const&, QString const&, QString const&, bool) () from /usr/lib/libskgbasegui.so.1
[...]
#12 0x00007fe2e40e8132 in QAction::triggered (this=<optimized out>, _t1=false) at .moc/release-shared/moc_qaction.cpp:277
#13 0x00007fe2e40e831f in QAction::activate (this=0xe10b10, event=<optimized out>) at kernel/qaction.cpp:1257
[...]
#15 0x00007fe2e4614ad5 in QAbstractItemView::doubleClicked (this=<optimized out>, _t1=...) at .moc/release-shared/moc_qabstractitemview.cpp:355
Comment 2 Stephane MANKOWSKI 2013-02-04 11:50:53 UTC
Git commit 503378dd2c7dc786700e1d17597c8037dd026d4d by Stephane Mankowski.
Committed on 04/02/2013 at 12:50.
Pushed by smankowski into branch 'Feature'.

M  +2    -0    CHANGELOG
M  +3    -5    skgbasegui/skgtabwidget.cpp

http://commits.kde.org/skrooge/503378dd2c7dc786700e1d17597c8037dd026d4d